<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: Georgia, 'Times New Roman', Times, serif;
            font-size: x-large;
            color: white;

        }

        body {
            width: 100%;
            height: 100vh;

        }

        header {
            background-color: aquamarine;
            height: 10vh;
            padding: 20px;
        }

        .main {
            display: flex;

            height: 50vh;
        }

        .left-sidebar,
        .right-sidebar {
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: red;
            flex-basis: 30%;
        }

        .right-sidebar {

            background-color: gold;
        }

        .main-content {
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: green;
            flex-basis: 40%;

        }

        footer {
            background-color: blueviolet;
            display: flex;
            align-items: center;
            height: 40vh;
        }

        .caja {
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: salmon;
            height: 50%;
            flex-grow: 1;
            margin: 2.5%;
        }
    </style>
</head>

<body>
    <div class="contenedor">
        <header>header</header>
        <div class="main">
            <div class="left-sidebar">Left sidebar</div>
            <div class="main-content">Main content</div>
            <div class="right-sidebar">Right sidebar</div>
        </div>
        <footer>
            <div class="caja">footer 1</div>
            <div class="caja">footer 2</div>
            <div class="caja">footer 3</div>
            <div class="caja">footer 4</div>
        </footer>
    </div>
</body>

</html>